Update Type
Updates an existing catalog type. The schema must be updated using the UpdateTypeSchema endpoint.
Authorizations
API key from your incident.io dashboard (Settings → API keys)
Path Parameters
ID of this catalog type
"01FCNDV6P870EA6S7TK1DSYDG0"
Body
Human readble description of this type
"Represents Kubernetes clusters that we run inside of GKE."
Name is the human readable name of this type
"Kubernetes Cluster"
Annotations that can track metadata about this type
{
"incident.io/catalog-importer/id": "id-of-config"
}What categories is this type considered part of
customer, issue-tracker, product-feature, service, on-call, team, user ["customer"]Sets the display color of this type in the dashboard
yellow, green, blue, violet, pink, cyan, orange "yellow"
Sets the display icon of this type in the dashboard
alert, bolt, box, briefcase, browser, bulb, calendar, clock, cog, components, database, doc, email, escalation-path, files, flag, folder, globe, money, server, severity, status-page, store, star, tag, user, users "alert"
If this type should be ranked
true
The url of the external repository where this type is managed
"https://github.com/my-company/incident-io-catalog"
Response
OK response.
{
"annotations": {
"incident.io/catalog-importer/id": "id-of-config"
},
"categories": ["customer"],
"color": "yellow",
"created_at": "2021-08-17T13:28:57.801578Z",
"description": "Represents Kubernetes clusters that we run inside of GKE.",
"dynamic_resource_parameter": "abc123",
"estimated_count": 7,
"icon": "alert",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"is_editable": false,
"last_synced_at": "2021-08-17T13:28:57.801578Z",
"name": "Kubernetes Cluster",
"ranked": true,
"registry_type": "PagerDutyService",
"required_integrations": ["pager_duty"],
"schema": {
"attributes": [
{
"array": false,
"backlink_attribute": "abc123",
"id": "01GW2G3V0S59R238FAHPDS1R66",
"mode": "",
"name": "tier",
"path": [
{
"attribute_id": "abc123",
"attribute_name": "abc123"
}
],
"type": "Custom[\"Service\"]"
}
],
"version": 1
},
"semantic_type": "custom",
"source_repo_url": "https://github.com/my-company/incident-io-catalog",
"type_name": "Custom[\"BackstageGroup\"]",
"updated_at": "2021-08-17T13:28:57.801578Z"
}